class PublicActivity::ActivitySerializer < ActiveModel::Serializer
  def activity
    object.key
  end

  def recipient_type
    object.recipient.class.name.demodulize
  end

  cache key: 'activity', expires_in: 24.hours
  attributes :id, :trackable_type, :activity, :privacy, :recipient_type, :parameters, :created_at

  has_one :owner
  has_one :recipient
  has_one :trackable
end
