class DspaceUploadWorker
  include Sidekiq::Worker

  @@dspace = nil

  def perform(learning_object_id, media_path, description = nil)
    # find learning object
    learning_object = LearningObject.find learning_object_id

    return false if learning_object.blank?

    # create attachment
    file = File.new(media_path, 'r')
    bitstream = dspace.items.add_bitstream(file, id: learning_object.id_dspace, name: File.basename(media_path), description: description)
    attachment = learning_object.attachments.create map_bitstream2attachment(bitstream)

    ThumbnailGenerateWorker.perform_async attachment.id, media_path
  end

  private

  def publisher
    @publisher ||= LearningObjectPublisher.new(dspace)
  end

  def map_bitstream2attachment(bitstream, options = {})
    ::Dspace::AttachmentMapper.call bitstream, options
  end

  def dspace
    @@dspace ||= DspaceService.create_client
  end
end
