require 'test_helper'

class V1::LanguagesControllerTest < ActionController::TestCase
  tests V1::LanguagesController
  include Devise::Test::ControllerHelpers

  test 'should put update to language with admin user and return :ok code' do
    auth_request users(:admin)
    language = languages(:portuguese)
    put :update, params: { language: {
                              name: 'English',
                              code: 'en'
    }, id: language.id }
    assert_response :ok
  end

  test 'should not put update to language if user is not logged in and then return :unauthorized code' do
    language = languages(:portuguese)
    put :update, params: { language: {
                              name: 'English',
                              code: 'en'
    }, id: language.id }
    assert_response :unauthorized
  end

end
