require 'test_helper'

class InstitutionImporterTest < ActiveSupport::TestCase

  test 'importing learning object with metadata publisher = nil' do
    importer = InstitutionImporter.new()
    lo = learning_objects(:lo_complete)
    importer.items = [lo]
    importer.import
    assert_not_nil Institution.find_by_name(lo.publisher.name)
  end

  test 'importing learning object with metadata publisher != nil' do
    importer = InstitutionImporter.new()
    lo = learning_objects(:lo_metadata)
    importer.items = [lo]
    importer.import
    assert_not_nil Institution.find_by_name(lo.publisher.name)
  end

  test 'importing learning object with institution that already exists' do
    importer = InstitutionImporter.new()
    lo1 = learning_objects(:lo_metadata)
    lo2 = learning_objects(:lo_metadata2)
    importer.items = [lo1, lo2]
    importer.import
    assert_equal Institution.find_by_name(lo1.publisher.name), Institution.find_by_name(lo2.publisher.name)
  end

end
